@import "../../../styles/variables.scss";

section {
  visibility: hidden;
  opacity: 0;
  z-index: 100;

  &.open {
    visibility: inherit;
    opacity: 1;
  }

  display: block;

  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;

  background: rgba(0, 0, 0, 0.2);
  transition: opacity 250ms ease-in;

  > div {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);

    height: auto;
    width: 50%;
    max-width: 350px;
    min-width: 300px;
    min-height: 450px;

    background: white;
    padding: 20px;

    border-radius: 8px;

    box-shadow: 0 0 8px 4px rgba(0, 0, 0, 0.1);

    button.close {
      background: none;
      color: inherit;
      border: none;
      font: inherit;
      cursor: pointer;
      outline: none;

      position: absolute;
      top: 0;
      left: 0;

      padding: 10px 10px 10px 20px;
    }

    .title {
      text-align: center;
    }

    form {
      text-align: center;

      input {
        width: 100%;
        height: 30px;
        border-radius: 10px;
        text-align: center;
        margin-top: 10px;
        border: 1px solid $grey-02;
      }

      .error {
        color: red;
        font-size: 0.75rem;
        margin: 0 auto;
      }

      .submit-error {
        color: red;
        margin-top: 20px;
      }

      button {
        position: absolute;
        left: 10px;
        bottom: 10px;
        margin-top: 20px;
        background-color: $orange;
        color: $white-02;
        height: 40px;
        width: calc(100% - 20px);
        border: none;

        &:disabled {
          background-color: $grey-01;
        }
      }
    }
  }
}
